#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@
	
execute_after_dh_auto_install-arch:
	ln -s rlogind.8 debian/tmp/usr/share/man/man8/in.rlogind.8
	ln -s rshd.8 debian/tmp/usr/share/man/man8/in.rshd.8
	mv debian/tmp/usr/bin/rlogin debian/tmp/usr/bin/rsh-redone-rlogin
	mv debian/tmp/usr/bin/rsh debian/tmp/usr/bin/rsh-redone-rsh
	mv debian/tmp/usr/share/man/man1/rlogin.1 debian/tmp/usr/share/man/man1/rsh-redone-rlogin.1
	mv debian/tmp/usr/share/man/man1/rsh.1 debian/tmp/usr/share/man/man1/rsh-redone-rsh.1

override_dh_fixperms:
	dh_fixperms -Xusr/bin/rsh-redone-rsh -Xusr/bin/rsh-redone-rlogin
